require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Seep::Doc" do
  before :all do
    @doc_a = Seep::Doc.new(
      "http://linkleaf.com/test_a.html",
      File.read("doc/test_a.html")
    )
    @doc_b = Seep::Doc.new(
      "http://examancer.com/gallery/",
      File.read("doc/test_b.html")
    )
    @link_a   = "https://exanotes.com/"
    @link_b   = "http://linkleaf.com/index.php?leaf=212"
    @image_a  = "http://l.yimg.com/a/i/us/we/52/34.gif"
    @image_b  = "http://examancer.com/pictures/polished/bolGallery/thumbnail_Good%20Catch%20Missy.jpg"
  end

  describe "#links" do
    it "should contain absolute links" do
      @doc_a.links.member?(@link_a).should be_true
    end

    it "should contain relative links, converted to absolute format" do
      @doc_a.links.member?(@link_b).should be_true
    end
  end

  describe "#images" do
    it "should contain images from the test pages" do
      @doc_a.images.member?(@image_a).should be_true
      @doc_b.images.member?(@image_b).should be_true
    end
  end

  describe "#urls" do
    it "should contain both links and images" do
      @doc_a.urls.member?(@link_b).should be_true
      @doc_a.urls.member?(@image_a).should be_true
    end
  end
end
