require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Seep::Image" do
  before :all do
    @small = Seep::Image.new( File.read("doc/small.jpg") )
    @bad = Seep::Image.new("Not an image")
  end

  describe "#dimensions" do
    it "should provide the dimensions of an image" do
      @small.dimensions.should == [320, 240]
    end
  end

  describe "#width" do
    it "should provide the width of an image" do
      @small.width.should == 320
    end
  end

  describe "#height" do
    it "should provide the height of an image" do
      @small.height.should == 240
    end
  end

  describe "#valid?" do
    it "should return true if the image is good" do
      @small.valid?.should be_true
    end
    it "should return false if the image is bad" do
      @bad.valid?.should be_false
    end
  end
end
